<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.huashe.common.data.mapper.DimGaWeatherMapper">
    <resultMap id="BaseResultMap" type="com.huashe.common.data.model.GaWeatherType">
        <result column="key" property="key" jdbcType="VARCHAR"/>
        <result column="value" property="value" jdbcType="VARCHAR"/>
        <result column="desc" property="desc" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="selectGbRegion">
        SELECT
            `key`, `value`, `desc`
        FROM
            dim_ga_weather
    </sql>

    <select id="getAll" resultMap="BaseResultMap">
        <include refid="selectGbRegion"/>
    </select>
</mapper>